Page 1 of 1

Solving the warnings on servers with PHP 7

Posted: 10 Feb 2018, 18:52
by drake
Hi everyone,

For people who's upgraded their servers to php 7.x and are concerned about warnings generated by Suffusion in error log, I've posted the explanation and the fix:
Solving the warnings generated by Suffusion on servers with PHP 7+

Re: Solving the warnings on servers with PHP 7

Posted: 11 Feb 2018, 01:29
by Colin
Drake

Thanks very much for doing this.

Re: Solving the warnings on servers with PHP 7

Posted: 11 Feb 2018, 07:30
by drake
No problem Colin. Even if I don't have time for answering here, I still like Suffusion and watch the forum from time to time. If I can help, I do this from hearth.

I refined the changes, so now, the files can be installed on any site, will not break the sites with older versions of PHP and the notices are removed on newer versions.

Re: Solving the warnings on servers with PHP 7

Posted: 14 Feb 2018, 21:46
by mbrsolution
Thank you so much Drake. It is great to see that you are still supporting Suffusion. I also check from time to time the support forum. I also agree with your comment about Colin, he is doing a fantastic job in the support forum.

Let me know if you need any help.

Kind regards

Re: Solving the warnings on servers with PHP 7

Posted: 19 Feb 2018, 16:35
by mbrsolution
Hi @Drake, first of all thank you for sharing the latest version.

I just wanted to share with you that the download file you shared in the following URL https://aquoid.com/forum/viewtopic.php?f=4&t=34241 is zipped twice. I am not sure if this is how you wanted to share the latest version of Suffusion or not. If it is then perhaps you might like to add a comment letting everyone know that they need to unzip the folder and then zip Suffusion again so they can upload it to the server and not receive the following error message.
Unpacking the package…

Installing the theme…

The package could not be installed. The theme is missing the style.css stylesheet.

Theme installation failed.
Also you might like to adjust line 10 in the following file /suffusion/functions.php and change it to 4.5.1. This is more a cosmetic minor issue.

Kind regards

Re: Solving the warnings on servers with PHP 7

Posted: 20 Feb 2018, 13:49
by drake
Thank you Manuel,

I didn't thought to the problem of zip, as I always upload the theme by ftp and never using the WordPress uploader from appearance. But is a good point and I corrected this. Also did the cosmetics, I missed that spot :)